using System.Runtime.Serialization;

namespace Magify.Model
{
    internal enum EventType
    {
        [EnumMember(Value = "AppLaunch")]
        AppLaunch,
        [EnumMember(Value = "SessionEvent")]
        SessionEvent,
        [EnumMember(Value = "StartEndSession")]
        AppBackgroundEvent,
        [EnumMember(Value = "Transaction")]
        Transaction,
        [EnumMember(Value = "FirebaseMapping")]
        FirebaseMapping,
        [EnumMember(Value = "MailingListStatusesMapping")]
        MailingStatusMapping,
        [EnumMember(Value = "Impression")]
        Impression,
        [EnumMember(Value = "ApplovinAdsImpression")]
        ApplovinAdsImpression,
        [EnumMember(Value = "LevelPlayAdsImpression")]
        IronSourceAdsImpression,
        [EnumMember(Value = "ImpressionFail")]
        ImpressionFail,
        [EnumMember(Value = "TrialActivation")]
        TrialActivation,
        [EnumMember(Value = "PaidSubscriptionActivation")]
        PaidSubscriptionActivation,
        [EnumMember(Value = "inApps")]
        InApp,
        [EnumMember(Value = "Click")]
        Click,
        [EnumMember(Value = "AdsClick")]
        AdsClick
    }
}